chiark / gitweb /
tests: Test Perdir.sd.mk
[subdirmk.git] / tests / filter / check
index 18ead3e..5ba1a23 100755 (executable)
@@ -1,5 +1,6 @@
-#!/bin/sh
+#!/bin/bash
 set -e
+set -o pipefail
 
 cd tests/filter
 
@@ -8,7 +9,9 @@ expand <../../README | ./extract-doctest . >/dev/null
 ../../generate sub/dir
 files=$(find -name \*.expected)
 for f in $files; do
-       sed <$f >$f.tmp '
+       i=$f
+       o=$f.tmp
+       sed <$i >$o '
                /^# doctests:/ {
                        r '"${f%/*}/doctest.mk.part"'
                        a